CADsite

  • do 23 09 2021, 01:33:12
  • Welkom, gast
Log in of registreer jezelf.

Login met gebruikersnaam, wachtwoord en sessielengte
Geavanceerd zoeken  

Nieuws:

Toon bijdragen

Deze sectie stelt je in staat om alle bijdragen van dit lid te bekijken. Je kunt alleen de bijdragen zien waar je op dit moment toegang toe hebt.

Berichten - Cad_user86

Pagina's: 1 2 [3] 4 5 ... 15
31
Autolisp / Re: Afmetingen in rechthoek
« Gepost op: do 20 10 2016, 08:08:52 »
Het werkt inderdaad.......  helaas nog niet meteen wat ik zoek :-)
Het uiteindelijke resultaat is hoe ik het graag zou hebben, maar ik zou willen dat, wanneer je een rechthoek tekent, dat de tekst dan automatisch in het midden komt te staan.

Nu moet je eerst de rechthoek tekenen, vervolgens de lisp activeren, hoogt tekst ingeven en vervolgens de rechthoek selecteren. Dit alles had ik graag in één beweging gedaan...
Iemand een voorstel?

Bedankt alvast!!! :vreegoe: :vreegoe: :vreegoe: :mrgreen:

32
Autolisp / Re: Afmetingen in rechthoek
« Gepost op: wo 19 10 2016, 15:22:07 »
Dag Roy,

Ik ken zelf niets van LISP, gewoon van internet gekopieerd zoals het hier staat (site van autodesk)
Wat is "OP"? en wat zijn CODE-tags?

Bedankt! :vreegoe:

33
Autolisp / Re: Afmetingen in rechthoek
« Gepost op: wo 19 10 2016, 13:58:25 »
ja, volledige versie

34
Autolisp / Re: Afmetingen in rechthoek
« Gepost op: wo 19 10 2016, 13:34:52 »
Versie 2014

35
Autolisp / Afmetingen in rechthoek
« Gepost op: wo 19 10 2016, 09:41:03 »
Hallo,

Voor mijn zaagplannen had ik graag in mijn rechthoeken automatisch de afmetingen gekregen (lengtexbreedte) in het midden van de rechthoek als ik deze teken.

Bestaat hier een command of lisp routine voor?

Ik heb internet even gezocht maar vrees dat ik niet de juiste benamingen gebruik in de zoekfuncties.

Ik kwam volgende tegen maar dit werkt niet bij me:

(defun c:LabelRec (/ ActDoc CurSpace Ht ss cnt Ent EntData VerPoints tmpEnt Wid Len Pt Str tmpText tmpDist1 tmpDist2)
; Label rectangles with length and width in middle of them.
(vl-load-com)
(setq ActDoc (vla-get-ActiveDocument (vlax-get-Acad-Object)))
(if (= (getvar "cvport") 1)
(setq CurSpace (vla-get-PaperSpace ActDoc))
(setq CurSpace (vla-get-ModelSpace ActDoc))
)
(if (and (setq Ht (getreal "\n Enter height of text: ")) (setq ss (ssget '((0 . "*POLYLINE")))))
(progn
(setq cnt 0)
(while (setq Ent (ssname ss cnt))
(setq EntData (entget Ent))
(if (= (cdr (assoc 0 EntData)) "LWPOLYLINE")
(setq VerPoints (vlax-get (vlax-ename->vla-object Ent) 'Coordinates))
(progn
(setq VerPoints nil)
(setq tmpEnt (entnext Ent))
(while (not (equal (cdr (assoc 0 (entget tmpEnt))) "SEQEND"))
(setq tmpPt (cdr (assoc 10 (entget tmpEnt))))
(setq VerPoints (append VerPoints (list (car tmpPt))))
(setq VerPoints (append VerPoints (list (cadr tmpPt))))
(setq tmpEnt (entnext tmpEnt))
)
)
)
(if (= (length VerPoints) 8)
(progn
(setq tmpDist1 (distance (list (nth 0 VerPOints) (nth 1 VerPoints)) (list (nth 2 VerPoints) (nth 3 VerPoints))))
(setq tmpDist2 (distance (list (nth 2 VerPOints) (nth 3 VerPoints)) (list (nth 4 VerPoints) (nth 5 VerPoints))))
(if (< tmpDist1 tmpDist2)
(setq Len tmpDist2 Wid tmpDist1)
(setq Len tmpDist1 Wid tmpDist2)
)
(setq Pt (list (/ (+ (nth 0 VerPoints) (nth 4 VerPoints)) 2.0) (/ (+ (nth 1 VerPoints) (nth 5 VerPoints)) 2.0) 0.0))
(setq Str (strcat (rtos Len 2 2) "x" (rtos Wid 2 2)))
(setq tmpText (vla-AddText CurSpace Str (vlax-3d-point Pt) Ht))
(vla-put-Alignment tmpText 4)
(vla-put-TextAlignmentPoint tmpText (vlax-3d-point Pt))
)
)
(setq cnt (1+ cnt))
)



Bedankt
Cad_User86

36
AutoCAD probleem / Re: Layers opslaan voor later gebruik
« Gepost op: di 15 12 2015, 09:41:22 »
Dag Bart,

Hoe kan ik dit controleren?
Bij mijn weten staat er maar één versie autocad op (nioeuwe pc)

Roy,

De hidden lines, dashdot lines etc laadt hij goed in (de vorige keer toch. mss best vanavond nog eens nakijken)

grts

37
AutoCAD probleem / Re: Layers opslaan voor later gebruik
« Gepost op: za 12 12 2015, 11:02:45 »
Dag Roy,

De opbouw komt van een post van bart, werkt bij mij prima zo... :)
Het opnieuw opstarten geeft geen oplossing.
Als ik mijn layer selecteer om de leiding te tekenen, neemt hij steeds een continuous lijn.
Wanneer ik echter eerst een lijntype inlaad van de acadiso-file en dan pas de layer selecteer doet hij dit wel correct met het juiste lijntype...

iemand hier een verklaring voor?
Voorlopig heb ik een template aangemaakt waarin deze lijn al ingeladen zijn...

38
AutoCAD probleem / Re: Layers opslaan voor later gebruik
« Gepost op: vr 11 12 2015, 11:52:06 »
Hallo,

Mijn 'layerstructuur' begint aardig te lukken.
Nu heb ik zelf lijntypes aangemaakt via kladblok in mijn acadiso.lin... en ze werken.
Hieronder een voorbeeld van een linetype:

*VUILWATER,Vuilwater __ VLW __ _>_ __ VLW __ _>_ __ VLW _
A,6.35,-3.175,["VLW",STANDARD,S=2.54,y=-1.27],-10.805,6.35,-3.175,3.175,[">",STANDARD,S=2.54,y=-1.27],4.825,-3.175

Nu wil ik deze lijn gebruiken in mijn layermenu voor de layer "Vuilwater"
Hieronder een voorbeeld van de layer:

         [->Vuilwater]
            [Leiding]^C^C'-la;m;T52_VLW_ALL;c;63;;l;vuilwater;;;
            [<-Text]^C^C'-la;m;T52_VLW_TEXT;c;yellow;;l;continuous;;;

Als ik de menu inlaad in autocad (via MENULOAD) en dan de layer "vuilwater" selecteer, neemt hij echter steeds de lijn continuous voor de leidinglayer ipv de lijntype "vuilwater"...

Iemand die mijn fout ziet?

Bedankt :vreegoe: :mrgreen:

39
AutoCAD probleem / Re: create linetype met tekst en pijl
« Gepost op: vr 11 12 2015, 11:43:10 »
Het is me gelukt op volgende manier:

*VUILWATER,Vuilwater __ VLW __ _>_ __ VLW __ _>_ __ VLW _
A,6.35,-3.175,["VLW",STANDARD,S=2.54,y=-1.27],-10.805,6.35,-3.175,3.175,[">",STANDARD,S=2.54,y=-1.27],4.825,-3.175


hoera ;-)

40
AutoCAD probleem / create linetype met tekst en pijl
« Gepost op: vr 11 12 2015, 09:13:10 »
Hallo allemaal,

Ik had graag een linetype aangemaakt die er als volt uitziet

__ VLW __  _>_  __ VLW __  _>_  __ VLW __  _>_  __ VLW __  _>_ 

Het lukt me om de linetype met tekst aan te maken:
*VUILWATER,Vuilwater __ VLW __ VLW __ VLW __ VLW __ VLW
A,6.35,-3.175,["VLW",STANDARD,S=2.54,y=-1.27],-9.525

maar weet niet hoe ik er een pijl in krijg.

Iemand tips?

Bedankt

41
AutoCAD probleem / Re: Layers opslaan voor later gebruik
« Gepost op: vr 27 11 2015, 10:38:50 »
Dag Reimer,

De menu staat nu in het midden van m'n scherm, dus meer dan plaats genoeg lijkt me :-)

De lijnen test ik even uit. EDIT: de lijnen zijn inderdaad gelukt met [--]
Is er ook een mogelijkheid om teksten in het Vet, cursief of onderlijn te laten zetten?

grts

42
AutoCAD probleem / Re: Layers opslaan voor later gebruik
« Gepost op: vr 27 11 2015, 10:18:45 »
Hallo,

Gisterenavond een beetje liggen zoeken naar het aanmaken van de menu.
Dit lukt al vrij aardig ( de eerste testen werken allesinds)

Nu heb ik nog 2 bijkomende vragen:
Als ik mijn menu open klap, spreid hij de vensters uit naar links. Kan je dit instellen dat hij dit naar rechts doet?

2de vraag is of het mogelijk is om een horizontale lijn weer te geven in de menu.
Zo om een duidelijk onderscheid te kunnen maken tussen BOVENBOUW, AFBOUW, AFWERKING...

Bedankt!

43
AutoCAD probleem / Re: Layers opslaan voor later gebruik
« Gepost op: do 26 11 2015, 15:53:03 »
He Bart,

De macro's aanmaken is voor mij geen probleem, ik heb al layers in knopjes gestoken en deze dan aan m'n toolbar gemaakt, maar het werken in een txt bestand en zo een structuur aanamken is totaal nieuw voor me.

Ik probeer het uit te pluizen en je hoort me wel terug als het niet lukt :-)

44
AutoCAD probleem / Re: Layers opslaan voor later gebruik
« Gepost op: do 26 11 2015, 14:19:47 »
Bedankt voor de input  :wink:

Ik heb de boek van't werk gevonden van 2000.
Hopelijk staat hier iets in. Ik zoek het verder uit en kijk of het me lukt  :mrgreen: :vreegoe:

45
AutoCAD probleem / Re: Layers opslaan voor later gebruik
« Gepost op: do 26 11 2015, 09:09:01 »
Hallo,

Bedankt voor de reacties...
Ik was eerder aan het denken aan een pulldown menu te maken en daar m'n layers in te plaatsen.
Dit kwam ik tegen op volgende site:
http://landarchs.com/wp-content/uploads/2015/05/Layer_pulldown-menu.jpg

iemand enig idee hoe hieraan te beginnen?

Bedankt!

Pagina's: 1 2 [3] 4 5 ... 15